OtherAPI ReferenceOther

Get usage logs

Returns per-request usage log entries for the project. The project is implied by the API key used for authentication. Filters by request end time. The window between start_time and end_time must not exceed 31 days. start_time must not be earlier than 91 days ago.

GET
https://api.soniox.com/v1/usage-logs

Returns per-request usage log entries for the project. The project is implied by the API key used for authentication. Filters by request end time. The window between start_time and end_time must not exceed 31 days. start_time must not be earlier than 91 days ago.

Headers

AuthorizationRequiredBearer <SONIOX_API_KEY>

Query parameters

start_timeRequiredstring

Start of the time window (inclusive). Filters by request end time. Must be an ISO 8601 timestamp in UTC (e.g. 2026-04-28T09:00:00Z).

end_timeRequiredstring

End of the time window (exclusive). Filters by request end time. Must be an ISO 8601 timestamp in UTC (e.g. 2026-04-28T09:00:00Z).

limitinteger

Maximum number of usage log entries to return.

Default: 1000Minimum: 1Maximum: 1000
sortstring

Sort order by end_time.Use end_time_desc to get the most recent entries first. When paginating, pass the same sort value alongside the cursor.

Default: "end_time_asc"Accepted values: "end_time_asc" | "end_time_desc"
cursorstring

Pagination cursor for the next page of results.

Response

200

Per-request usage log entries.

usage_logsRequiredarray<object>

Per-request usage log entries ordered by end_time, uuid (per sort).

next_page_cursorstring

A pagination token that references the next page of results. When more data is available, this field contains a value to pass in the cursor parameter of a subsequent request. When null, no additional results are available.

Errors

Per-request usage log entries.

{
  "usage_logs": [
    {
      "uuid": "0d1e2f3a-4b5c-6d7e-8f90-1234567890ab",
      "request_scope": "api",
      "client_reference_id": "some_internal_id",
      "model": "stt-async-v3",
      "start_time": "2026-04-28T09:00:00Z",
      "end_time": "2026-04-28T09:00:12Z",
      "input_text_tokens": 42,
      "input_audio_tokens": 12345,
      "input_audio_duration_ms": 12000,
      "output_text_tokens": 678,
      "output_audio_tokens": 256,
      "output_audio_duration_ms": 4500,
      "cost_usd": "0.0081000000",
      "input_cost_usd": "0.0011000000",
      "input_text_cost_usd": "0.0001000000",
      "input_audio_cost_usd": "0.0010000000",
      "output_cost_usd": "0.0070000000",
      "output_text_cost_usd": "0.0050000000",
      "output_audio_cost_usd": "0.0020000000"
    }
  ],
  "next_page_cursor": "cursor_or_null"
}